OpenTTD Source: MpsMachine::Channel Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
MpsMachine::Channel Struct Reference

Starting parameter and playback status for one channel/track. More...

## Data Fields
uint8_t | cur_program
| program selected, used for velocity scaling (lookup into programvelocities array)
uint8_t | running_status
| last midi status code seen
uint16_t | delay
| frames until next command
uint32_t | playpos
| next byte to play this channel from
uint32_t | startpos
| start position of master track
uint32_t | returnpos
| next return position after playing a segment

## Detailed Description

Starting parameter and playback status for one channel/track.

Definition at line 499 of file midifile.cpp.

## Constructor & Destructor Documentation

## ◆ Channel()

MpsMachine::Channel::Channel | ( |  | ) |
| inline

Definition at line 506 of file midifile.cpp.

## Field Documentation

## ◆ cur_program

uint8_t MpsMachine::Channel::cur_program

program selected, used for velocity scaling (lookup into programvelocities array)

Definition at line 500 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ delay

uint16_t MpsMachine::Channel::delay

frames until next command

Definition at line 502 of file midifile.cpp.

Referenced by MpsMachine::PlayFrame(), and MpsMachine::RestartSong().

## ◆ playpos

uint32_t MpsMachine::Channel::playpos

next byte to play this channel from

Definition at line 503 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame(), MpsMachine::PlayFrame(), and MpsMachine::RestartSong().

## ◆ returnpos

uint32_t MpsMachine::Channel::returnpos

next return position after playing a segment

Definition at line 505 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ running_status

uint8_t MpsMachine::Channel::running_status

last midi status code seen

Definition at line 501 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ startpos

uint32_t MpsMachine::Channel::startpos

start position of master track

Definition at line 504 of file midifile.cpp.

Referenced by MpsMachine::MpsMachine(), and MpsMachine::RestartSong().

The documentation for this struct was generated from the following file:

- src/music/midifile.cpp